> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tera.gw/llms.txt
> Use this file to discover all available pages before exploring further.

# GLM-5.2

> zai-org/GLM-5.2 on Tera

<Info>
  Model id: `zai-org/GLM-5.2` — pass this as the `model` field in API requests.
</Info>

## Spec

|                       |                                                             |
| --------------------- | ----------------------------------------------------------- |
| **Provider**          | zai-org                                                     |
| **HuggingFace**       | [`zai-org/GLM-5.2`](https://huggingface.co/zai-org/GLM-5.2) |
| **Context length**    | 262,144 tokens                                              |
| **Max output**        | 4,096 tokens                                                |
| **Quantization**      | `managed`                                                   |
| **Input modalities**  | text                                                        |
| **Output modalities** | text                                                        |

## Pricing

|            | per million tokens |
| ---------- | ------------------ |
| Input      | \$1.49             |
| Output     | \$4.62             |
| Cache Read | \$0.27             |

## Supported features

`reasoning`, `tools`, `json_mode`, `structured_outputs`

## Sampling parameters

`temperature`, `top_p`, `max_tokens`, `stop`, `seed`, `frequency_penalty`, `presence_penalty`

## Example

```bash theme={null}
curl https://api.tera.gw/v1/chat/completions \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $TERA_API_KEY" \
  -d '{
    "model": "zai-org/GLM-5.2",
    "messages": [{"role": "user", "content": "Hello"}],
    "max_tokens": 256
  }'
```
